# Uses of Class
org.opensaml.core.xml.util.IDIndex

Packages that use IDIndex
Package
Description
org.opensaml.core.xml
Base classes for working with XML as Java objects and configuring the library.
org.opensaml.core.xml.util
Utility classes for working with XML, XMLObjects, and various data types.

## Uses of IDIndex in org.opensaml.core.xml

Fields in org.opensaml.core.xml declared as IDIndex
Modifier and Type
Field
Description
`private final IDIndex`
AbstractXMLObject.`idIndex`
Mapping of ID attributes to XMLObjects in the subtree rooted at this object.
Methods in org.opensaml.core.xml that return IDIndex
Modifier and Type
Method
Description
`IDIndex`
AbstractXMLObject.`getIDIndex()`
Get the IDIndex holding the ID-to-XMLObject index mapping, rooted at this XMLObject's subtree.
`IDIndex`
AbstractXSAnyAdapter.`getIDIndex()`
Get the IDIndex holding the ID-to-XMLObject index mapping, rooted at this XMLObject's subtree.
`IDIndex`
XMLObject.`getIDIndex()`
Get the IDIndex holding the ID-to-XMLObject index mapping, rooted at this XMLObject's subtree.

## Uses of IDIndex in org.opensaml.core.xml.util

Methods in org.opensaml.core.xml.util with parameters of type IDIndex
Modifier and Type
Method
Description
`void`
IDIndex.`deregisterIDMappings(IDIndex idIndex)`
Deregister multiple ID-to-XMLObject mappings for this object's owner's children.
`void`
IDIndex.`registerIDMappings(IDIndex idIndex)`
Register multiple ID-to-XMLObject mappings for this object's owner's children.